54
ответа

Как я могу установить платформу haskell?

В настоящее время платформа Haskell имеет неудовлетворенные зависимости от Ubuntu 11.04. Это известная ошибка, но я хотел бы установить ее раньше, чем позже. Может кто-нибудь порекомендовать способ установки haskell -...
вопрос задан: 11 July 2011 18:52
24
ответа

& ldquo; не может определить текущий каталог & rdquo; во время строительства haskell

Я пытаюсь установить haskell на Ubuntu 11.10, и я следую инструкциям на этом сайте: https://gist.github.com/1524859 Но когда я печатаю ./configure, я получаю сообщение об ошибке: проверка ...
вопрос задан: 25 June 2012 22:25
20
ответов

При установке Haskell зависимость не является выполнимой: ghc6 (& lt; 6.12.1+)

Что это значит, я не могу установить haskell? Я только что обновился до Натти, это причина? Как вы можете видеть на скриншоте, я получаю эту проблему в Software Center: Следующие пакеты имеют ...
вопрос задан: 29 April 2011 08:13
20
ответов

Как установить компилятор Glasgow Haskell?

Как установить ghc в Ubuntu 10.10?
вопрос задан: 11 November 2010 15:02
18
ответов

как обновить haskell-stack на ubuntu 16.04?

Я пытаюсь обновить мою установку haskell, поскольку, насколько я понимаю, это очень старая версия. Это то, что я пробовал: lpuggini @ lpuggini-T3420: ~ $ lsb_release -a Нет доступных модулей LSB ....
вопрос задан: 15 December 2017 17:19
16
ответов

Как установить haskell-hunit?

Я запускаю 11.10 (amd64). Я вижу, что есть этот пакет: http://packages.ubuntu.com/source/oneiric/haskell-hunit Однако: $ sudo apt-get install haskell-hunit Чтение списков пакетов ... Done Building ...
вопрос задан: 19 October 2011 00:20
16
ответов

Почему я не могу установить FreePascal и Gold Linker одновременно?

Я развиваюсь в Хаскелле в частном порядке, но для школы я должен использовать Delphi (хотя мне разрешено использовать Lazarus). Чтобы ускорить связывание в GHC (компилятор для Haskell), я установил binutilus-gold. Но теперь, когда ...
вопрос задан: 16 August 2011 15:35
10
ответов

Как обновить GHC с помощью haskell-платформы до последней версии в Ubuntu 14.04?

Я установил платформу Haskell в Ubuntu 14.04, используя sudo apt-get install haskell-платформу, следуя инструкциям официального сайта. Версия GHC, установленная в результате, - 7.6.3 ....
вопрос задан: 13 April 2017 12:24
10
ответов

Установить Haskell (объятия) - Пакет не найден

У меня проблемы с установкой haskell (hugs) на Ubuntu 10.10. Раньше у меня была последняя версия, и я написал только sudo apt-get install hugs, и все сработало. Но теперь с Ubuntu 10.10 Это говорит мне ...
вопрос задан: 28 December 2010 22:11
9
ответов

Как оформить междусобойчик?

Я установил стек через двоичный пакет на сайте стека. Теперь я хочу использовать cabal для установки пакетов. cabal install что-то, но он выводит: cabal: требуется версия программы «ghc» & gt; = 6.4, но ...
вопрос задан: 18 November 2017 20:56
9
ответов

Установка последней версии с ghc

Я запускаю Ubuntu 14.04.5, и у меня есть некоторые проблемы с установкой последней версии GHC (компилятор Haskell), который должен быть 8.0.2. Мои установки apt-get 7.6.3. Я попробовал sudo apt-get update sudo apt -...
вопрос задан: 14 September 2017 12:04
9
ответов

Как использовать Haskell (объятия)?

Привет! Я установил объятия на Ubuntu 10.10. Но теперь у меня проблема с запуском. Раньше я имел в виду в более поздних версиях Ubuntu, я набрал только sudo run hugs, и это сработало. Теперь это не работает. Как ...
вопрос задан: 28 December 2010 23:16
8
ответов

Объединить каббал и установить

Предположим, у меня есть программа, которую я могу установить через cabal, например cabal install pandoc. Можно ли использовать checkinstall, чтобы сделать пакет .deb из этого и установить его на втором шаге через ...
вопрос задан: 1 August 2011 19:06
8
ответов

Проблема с установкой Cabal-1.8.0.2

Я запускаю Ubuntu 10.10, ghc 6.12.1, gcc 4.4.5. Я пытаюсь установить Nikki и The Robots. Когда я выполняю установку, она не может установить Cabal-1.8.0.2. Cabal-1.8.0.2 уже существует в ~ / .cabal / lib ....
вопрос задан: 10 April 2011 17:45
8
ответов

cabal install readline ask readline не найдена ошибка

Как выполнить cabal install readline в ubuntu 10 Устранение зависимостей ... Настройка readline-1.0.1.0 ... проверка на gcc ... gcc проверка на имя файла по умолчанию для компилятора C ... a.out проверка того, ...
вопрос задан: 10 April 2011 11:04
2
ответа

Зацикливание через csv, удаление шаблонов

У меня вопрос, похожий на мой предыдущий вопрос, но немного другое говорит, что у вас есть 10 столбцов в каждой строке и 100000 строк, я хочу проверить, каждая строка для следующих шаблонов: если строка выглядит ...
вопрос задан: 13 April 2017 12:23
2
ответа

Будет ли платформа Haskell доступна в 10.10?

Я ждал пару лет, чтобы иметь возможность использовать apk-get install haskell-платформу на Ubuntu. Будет ли пакет платформы haskell доступен на Ubuntu 10.10?
вопрос задан: 14 December 2015 15:10
1
ответ

Как выровнять в памяти полезную нагрузку массива ByteArray # с помощью GHC Haskell

У меня есть несколько вопросов о том, как выровнять не ByteArray #, а полезную нагрузку массива ByteArray # (фактические байты данных неметаллада, хранящихся в массиве), что может быть осложнено тем, что ...
вопрос задан: 13 August 2018 12:56
1
ответ

Лучший способ создать платформу разработки haskell

Некоторое время я развивался в Хаскелле. Мой вопрос: какой самый простой способ создать разумную систему разработки для Haskell? Я установил официальные пакеты, но IMO это не работает ...
вопрос задан: 14 March 2017 08:21
1
ответ

Как обновить Cabal для Haskell IDE (Leksah) на Ubuntu 16.04?

Я хочу установить Leksah, чтобы я мог научиться программировать в Haskell. Поэтому я установил последнюю версию ghc (надеюсь, надеюсь). Но мне не хватает последней версии Cabal для Leksah. Я не могу показаться ...
вопрос задан: 21 September 2016 22:32
1
ответ

Запуск программы, установленной из cabal

Я хочу запустить эту программу, размещенную на Cabal, официальном репозитории приложений Haskell. Сначала я установил Cabal: sudo apt-get install cabal-install cabal update Во-вторых, я сам установил программу: ...
вопрос задан: 9 February 2016 10:56
1
ответ

Невозможно установить платформу haskell из-за libgl1-mesa

При попытке установить платформу haskell с помощью sudo apt-get install haskell-platform я получаю следующее сообщение об ошибке: Следующие пакеты имеют неудовлетворенные зависимости: haskell-platform: Depends: ...
вопрос задан: 20 September 2015 11:15
1
ответ

Установка GHC 7.8.2 на Ubuntu 13.04

Во-первых: Да, я действительно хочу установить только GHC, а не платформу Haskell. Я устанавливаю в VM, созданный именно для этой цели, у меня установлена ​​платформа в другом месте. Итак, стандарт ...
вопрос задан: 3 June 2014 01:32
1
ответ

Свяжите все команды haskell с другой версией

Недавно я установил ghc 7.8, но теперь хочу вернуться к ghc 7.4. Я установил ghc 7.8 через двоичный пакет, но я не удалял его правильно. Когда я запускаю ghc, ghci или runhaskell, я получаю / usr / local / ...
вопрос задан: 6 May 2014 14:53
1
ответ

ppa для GHC 7.6

Мне было интересно, есть ли несколько прилично доверенных PPA GHC 7.6? Предпочтительно новейшая. Я хочу прилично недавнюю платформу Haskell без необходимости строить из источника. Я недостаточно опытна ...
вопрос задан: 28 February 2014 15:18
1
ответ

Что такое скрипт bootstrap.sh?

Я пытаюсь установить cabal-install. Readme говорит, что я должен использовать bootstrap.sh для загрузки и установки зависимостей. В нем говорится, что я должен использовать этот скрипт, например, ниже $ ./bootstrap.sh Но я не мог найти ...
вопрос задан: 24 February 2014 22:55
1
ответ

Не удается скомпилировать компилятор Glasgow Haskell

./configure проверка для gfind ... не проверка на поиск ... / usr / bin / find проверка сортировки ... / usr / bin / сортировка для ghc ... no configure: ошибка: GHC требуется, если не загрузочная загрузка из .hc файлов. ...
вопрос задан: 10 July 2013 12:09
1
ответ

Как я & ldquo;: установить prompt & rdquo; по умолчанию для конкретной программы?

Я новичок в Linux. Я установил Haskell и прошел учебник, который показал мне, что я могу: установить подсказку «ghci & gt;», чтобы изменить приглашение. Мне нравится, как это выглядит. Как я могу сделать это так, чтобы ...
вопрос задан: 15 June 2013 03:00
1
ответ

& ldquo; не может определить текущий каталог & rdquo; при строительстве Haskell в 13.04

Я пытаюсь установить платформу Haskell на Raring. Поскольку нет подходящего пакета, я загрузил дистрибутив GHC 7.4.2 binary x86_64 (что является предварительным условием), и я пытаюсь запустить. / ...
вопрос задан: 30 April 2013 01:19